Bug 443900 - firefox does not include <param name=...> parameter characters beyond the first line if multiple lines
firefox does not include <param name=...> parameter characters beyond the fir...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.7.0-icedtea (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Lillian Angel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-23 18:31 EDT by Mark A. Baldridge
Modified: 2009-01-09 01:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:25:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
html with multiple line param= as described in the text (3.39 KB, text/html)
2008-04-23 18:31 EDT, Mark A. Baldridge
no flags Details

  None (edit)
Description Mark A. Baldridge 2008-04-23 18:31:51 EDT
Description of problem:
was looking at:
http://www.usc.edu/dept/ealc/chinese/character/output1/index.html whilst trying
to view the chinese character strokes. This worked on Windows XP. On Fedora 8,
firefox-2.0.0.13, the character comes out garbled.

There is a zip of the site for download for off-line practicing, which includes
the java class files. I decompiled it with mocha, and got it working on Windows
in Eclipse 3.3 with appletviewer, and then on Fedora 8. The short version is
that /usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0/bin and jdk1.6.0_03/bin
appletviewer paint properly. The applet basically reads a series of points which
define a polygon and it paints them to emulate brush strokes for a character.

What I found is that if I modify the html which starts off as:
<html>
<body>
<applet code=ChineseFontPlayer.CFPlayer.class width="400" height="400" >
<param name="StrokeData" VALUE="#4PO: 141,79;139,88;137,99;134,109;131,119;
128,130;124,140;120,151;115,162;115,163;
109,174;104,184;98,194;92,204;85,212;

so that all of the points are on one line, firefox will render it properly. So,
the garbled character results from only getting the first line of points, and
not the whole set. Html should not care about the newlines in the set of data
poins and grab everything up to the terminating ">" for the StrokeData. An od
-xc shows only newlines and no carriage returns in the html.

Since appletviewer can render the chinese character whether the data is on one
line or many, is this a firefox issue or limitation in reading the html?

Following the set of paths below, I assume I am running the icedtea plugin for
firefox, since that is the default java on the machine.

$ pwd;ls
/usr/lib/firefox-2.0.0.13/plugins
libflashplayer.so libnullplugin.so libunixprintplugin.so

$ which java
/usr/bin/java

$ ls -l /usr/bin/java
lrwxrwxrwx 1 root root 22 2007-12-11 09:54 /usr/bin/java -> /etc/alternatives/java

$ ls -l /etc/alternatives/java
lrwxrwxrwx 1 root root 39 2007-12-11 09:58 /etc/alternatives/java ->
/usr/lib/jvm/jre-1.7.0-icedtea/bin/java

$ ls /usr/lib/jvm/jre-1.7.0-icedtea/bin
java keytool orbd pack200 pluginappletviewer policytool rmid rmiregistry
servertool tnameserv unpack200



Version-Release number of selected component (if applicable):


How reproducible:



Steps to Reproduce:
1. Go to http://www.usc.edu/dept/ealc/chinese/character/output1/xian.htm for
example.
2. The area where a Chinese character should be drawn is incomplete
3.  If you save the web page or just the appropriate frame, and join the
character corner point lines into one line, it works as expected.
  
Actual results:

It draws the deormed character with only the points from the first line.

Expected results:


Additional info:

It works on Ubuntu 7.10 and Windows XP with FireFox.
Comment 1 Mark A. Baldridge 2008-04-23 18:31:51 EDT
Created attachment 303557 [details]
html with multiple line param= as described in the text
Comment 2 Matěj Cepl 2008-04-23 23:39:10 EDT
This looks to me very much like a problem with our Java (comparing it to the Sun
JRE) rather than a firefox problem.

Reassigning.
Comment 3 Bug Zapper 2008-11-26 05:33:34 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 01:25:18 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.